SSL
All operations require authentication.
List SSL certificatesProduction
Path parameters
The internal name of your IP load balancing
Query parameters
Filter the value of expireDate property (<)
Filter the value of fingerprint property (like)
Filter the value of serial property (like)
Filter the value of type property (=)
builtbuilt_not_routedcustomResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ ssl \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Create a custom SSL certificateProduction
Path parameters
The internal name of your IP load balancing
Request body (required)
Certificate
Certificate chain
Human readable name for your ssl certificate, this field is for you
Certificate key
Response
Human readable name for your ssl certificate, this field is for you
Expire date of your SSL certificate
Fingerprint of your SSL certificate
Id of your SSL certificate
Subject Alternative Name of your SSL certificate
Serial of your SSL certificate (Deprecated, use fingerprint instead !)
Subject of your SSL certificate
Type of your SSL certificate. 'built' for SSL certificates managed by the IP Load Balancing. 'custom' for user manager certificates.
builtbuilt_not_routedcustomExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ ssl \
-H "authorization: Bearer $OVH_TOKEN"{ "displayName": "string", "expireDate": "2024-01-01T12:00:00Z", "fingerprint": "string", "id": 0, "san": [ "string" ], "serial": "string", "subject": "string", "type": "built"}
Get an SSL certificateProduction
Path parameters
Id of your SSL certificate
The internal name of your IP load balancing
Response
Human readable name for your ssl certificate, this field is for you
Expire date of your SSL certificate
Fingerprint of your SSL certificate
Id of your SSL certificate
Subject Alternative Name of your SSL certificate
Serial of your SSL certificate (Deprecated, use fingerprint instead !)
Subject of your SSL certificate
Type of your SSL certificate. 'built' for SSL certificates managed by the IP Load Balancing. 'custom' for user manager certificates.
builtbuilt_not_routedcustomExample uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ ssl/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "displayName": "string", "expireDate": "2024-01-01T12:00:00Z", "fingerprint": "string", "id": 0, "san": [ "string" ], "serial": "string", "subject": "string", "type": "built"}
Delete an SSL certificateProduction
Path parameters
Id of your SSL certificate
The internal name of your IP load balancing
Response
Example uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ ssl/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Update an SSL certificateProduction
Path parameters
Id of your SSL certificate
The internal name of your IP load balancing
Request body (required)
Human readable name for your ssl certificate, this field is for you
Expire date of your SSL certificate
Fingerprint of your SSL certificate
Id of your SSL certificate
Subject Alternative Name of your SSL certificate
Serial of your SSL certificate (Deprecated, use fingerprint instead !)
Subject of your SSL certificate
Type of your SSL certificate. 'built' for SSL certificates managed by the IP Load Balancing. 'custom' for user manager certificates.
builtbuilt_not_routedcustomResponse
Example uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ ssl/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Order a free certificateProduction
Path parameters
The internal name of your IP load balancing
Request body (required)
The FQDN for which you want a free certificate. A DCV (Domain Control Validation) http request will be made to http://your_domain.abc, make sure this domain exists and resolves to your iplb ip before ordering
Response
Operation type
deleteIplbdeployIplbinstallinstallIplbinstallZoneorderFreeCertificateorderPaidCertificateorderSslrefreshIplbreleaseIplbreleaseIplbZonereopenIplbsuspendIplbsuspendZoneswitchToIplbNextGenerationApivrackAttachvrackDetachCreation date of your operation
Done date of your operation
Id of the operation
Operation progress percentage
Current status of your operation
blockedcancelleddoingdoneerrortodoZone of your Load Balancer which are updated by current Task
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ freeCertificate \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "deleteIplb", "creationDate": "2024-01-01T12:00:00Z", "doneDate": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "status": "blocked", "zones": [ "string" ]}